unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ICQClient, StdCtrls, ICQWorks;

type
  TForm1 = class(TForm)
    ICQClient1: TICQClient;
    GroupBox1: TGroupBox;
    Label3: TLabel;
    Button2: TButton;
    Button1: TButton;
    Edit2: TEdit;
    Edit1: TEdit;
    Label2: TLabel;
    Label1: TLabel;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    Memo1: TMemo;
    ListBox1: TListBox;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure ICQClient1Login(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ICQClient1MessageRecv(Sender: TObject; Msg, UIN: String);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ICQClient1Error(Sender: TObject; ErrorType: TErrorType;
      ErrorMsg: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
Button2.Enabled:=false;  //   2
label3.Font.Color:=clRed;  //   label'  
label3.Caption:='';  //   label'
memo1.Lines.Clear; //  memo
memo1.Lines.LoadFromFile(' .txt');  //   
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
ICQClient1.UIN:=strtoint(edit1.Text); //  UIN
ICQClient1.Password:=edit2.Text;     // 
ICQClient1.Login();   // 
end;

procedure TForm1.ICQClient1Login(Sender: TObject);
begin
if ICQClient1.LoggedIn then //   
label3.Caption:='';  //    label
label3.Font.Color:=clGreen; //     label
Button1.Enabled:=false;     //   1
Button2.Enabled:=true;      //   2
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
button1.Enabled:=true; //   1
button2.Enabled:=false; //   2
ICQClient1.LogOff;     // 
label1.Font.Color:=clRed;  //   label'  
label1.Caption:=''  //  
end;

procedure TForm1.ICQClient1MessageRecv(Sender: TObject; Msg, UIN: String);
var
ICQ: Cardinal;
i: integer;
//  
begin
randomize;
i:=random(Memo1.Lines.Count-1);
//        
ListBox1.Items.Add(UIN + ': ' + Msg);          //    ListBox1
memo1.Lines.Add(msg);               //     
ICQClient1.SendMessage(StrToInt(UIN), ''+ memo1.Lines.strings[i] +''); //   
ListBox1.Items.Add(': ' + memo1.Lines.Strings[i] +''); //      ListBox1
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
memo1.Lines.SaveToFile(' .txt'); //     
end;

procedure TForm1.ICQClient1Error(Sender: TObject; ErrorType: TErrorType;
  ErrorMsg: String);
begin
ShowMessage(': ' + ErrorMsg);
end;

end.
